# Pcap

  `Pcap` defines general methods and constants related to pcap.

## Constants:

`DLT_NULL`
`DLT_EN10MB`
`DLT_EN3MB`
`DLT_AX25`
`DLT_PRONET`
`DLT_CHAOS`
`DLT_IEEE802`
`DLT_ARCNET`
`DLT_SLIP`
`DLT_PPP`
`DLT_FDDI`
`DLT_ATM_RFC1483`
`DLT_RAW`
`DLT_SLIP_BSDOS`
`DLT_PPP_BSDOS`

  Data-link type constants.

## Module Methods:

`convert = bool`

  Set the behavior of classes under module `Pcap` when they convert IP address or other numbers to string. Value `true` means that the numbers are converted to their symbolic name.

`convert?`

  Return the behavior of classes under module `Pcap` when they convert IP address or other numbers to string. Value `true` means that the numbers are converted to their symbolic name.

`lookupdev`

  Return a name of network device.

`lookupnet(device)`

  Return a two-element array `[net, mask]`. `net` is network number as `IPAddress`. `mask` is netmask as `Integer`. Argument device is network device name.

fukusima@goto.info.waseda.ac.jp